# Uses of Class
org.apache.sysds.runtime.instructions.cp.FunctionCallCPInstruction

Packages that use FunctionCallCPInstruction
Package
Description
org.apache.sysds.resource.cost
org.apache.sysds.runtime.controlprogram.paramserv
org.apache.sysds.runtime.instructions.cp

## Uses of FunctionCallCPInstruction in org.apache.sysds.resource.cost

Methods in org.apache.sysds.resource.cost with parameters of type FunctionCallCPInstruction
Modifier and Type
Method
Description
`void`
CostEstimator.`maintainFCallInputStats(FunctionCallCPInstruction finst)`
Creates copies of the `VarStats` for the function argument.
`void`
CostEstimator.`maintainFCallOutputStats(FunctionCallCPInstruction finst, FunctionProgramBlock fpb)`
Creates copies of the `VarStats` for the function output parameters.

## Uses of FunctionCallCPInstruction in org.apache.sysds.runtime.controlprogram.paramserv

Methods in org.apache.sysds.runtime.controlprogram.paramserv that return FunctionCallCPInstruction
Modifier and Type
Method
Description
`FunctionCallCPInstruction`
ParamServer.`getAggInst()`

## Uses of FunctionCallCPInstruction in org.apache.sysds.runtime.instructions.cp

Methods in org.apache.sysds.runtime.instructions.cp that return FunctionCallCPInstruction
Modifier and Type
Method
Description
`static FunctionCallCPInstruction`
FunctionCallCPInstruction.`parseInstruction(String str)`